FileMatchers (JavaHamcrest 2.0.0.0 API)
Date: 2015-01-18

org.hamcrest.io

## Class FileMatchers

- java.lang.Object
- - org.hamcrest.io.FileMatchers

-     public final class FileMatchers
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `FileMatchers.FileStatus`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FileMatchers.FileStatus` | `CAN_READ`
    `static FileMatchers.FileStatus` | `CAN_WRITE`
    `static FileMatchers.FileStatus` | `EXISTS`
    `static FileMatchers.FileStatus` | `IS_DIRECTORY`
    `static FileMatchers.FileStatus` | `IS_FILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileMatchers()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Matcher<java.io.File>` | `aFileNamed(Matcher<java.lang.String> expected)`
    `static Matcher<java.io.File>` | `aFileWithAbsolutePath(Matcher<java.lang.String> expected)`
    `static Matcher<java.io.File>` | `aFileWithCanonicalPath(Matcher<java.lang.String> expected)`
    `static Matcher<java.io.File>` | `aFileWithSize(long size)`
    `static Matcher<java.io.File>` | `aFileWithSize(Matcher<java.lang.Long> expected)`
    `static Matcher<java.io.File>` | `anExistingDirectory()`
    `static Matcher<java.io.File>` | `anExistingFile()`
    `static Matcher<java.io.File>` | `anExistingFileOrDirectory()`
    `static Matcher<java.io.File>` | `aReadableFile()`
    `static Matcher<java.io.File>` | `aWritableFile()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CAN_WRITE

          public static final FileMatchers.FileStatus CAN_WRITE

    - #### CAN_READ

          public static final FileMatchers.FileStatus CAN_READ

    - #### IS_FILE

          public static final FileMatchers.FileStatus IS_FILE

    - #### IS_DIRECTORY

          public static final FileMatchers.FileStatus IS_DIRECTORY

    - #### EXISTS

          public static final FileMatchers.FileStatus EXISTS

  - ### Constructor Detail

    - #### FileMatchers

          public FileMatchers()

  - ### Method Detail

    - #### anExistingDirectory

          public static Matcher<java.io.File> anExistingDirectory()

    - #### anExistingFileOrDirectory

          public static Matcher<java.io.File> anExistingFileOrDirectory()

    - #### anExistingFile

          public static Matcher<java.io.File> anExistingFile()

    - #### aReadableFile

          public static Matcher<java.io.File> aReadableFile()

    - #### aWritableFile

          public static Matcher<java.io.File> aWritableFile()

    - #### aFileWithSize

          public static Matcher<java.io.File> aFileWithSize(long size)

    - #### aFileWithSize

          public static Matcher<java.io.File> aFileWithSize(Matcher<java.lang.Long> expected)

    - #### aFileNamed

          public static Matcher<java.io.File> aFileNamed(Matcher<java.lang.String> expected)

    - #### aFileWithCanonicalPath

          public static Matcher<java.io.File> aFileWithCanonicalPath(Matcher<java.lang.String> expected)

    - #### aFileWithAbsolutePath

          public static Matcher<java.io.File> aFileWithAbsolutePath(Matcher<java.lang.String> expected)